Issue1266

classification
Title: PythonInterpreter does not have setOut(StringWriter)
Type: Severity: normal
Components: Core Versions: 2.5b1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: zyasoft Nosy List: pjenvey, sergei175, zyasoft
Priority: high Keywords:

Created on 2009-02-23.01:56:58 by sergei175, last changed 2009-03-22.01:56:39 by zyasoft.

Messages
msg4158 (view) Author: Sergei (sergei175) Date: 2009-02-23.01:56:57
PythonInterpreter does not have anymore setOut(StringWriter) and
setOut(StringWriter), so it's not backward compatible anymore (and a lot
of coding based on previous Jython versions  is broken).
msg4195 (view) Author: Jim Baker (zyasoft) Date: 2009-03-08.07:08:09
This was removed by pjenvey in r3682, see the log comment "kill
PythonInterpreter.setOut/Err(Writer) and the associated Writer backed
  PyFile support"

Phil may have more insight into why we chose to have this backwards
incompatibility, part of an overall change to rewrite PyFile to use NIO.
msg4202 (view) Author: Sergei (sergei175) Date: 2009-03-08.16:12:42
Thanks. For me, the strength of java  is in backward compatibility.
There is no point in introducing new features in v2.5 
if we did not stick to this concept for jython.
For me, I would rather use v2.2 if there is no way around
using PythonInterpreter in its original form.
msg4221 (view) Author: Jim Baker (zyasoft) Date: 2009-03-12.05:54:51
I personally would prefer if PythonInterpreter remains completely
backwards compatible. Given that java.io.OutputStreamWriter, along with
an encoding (perhaps default), can be used to bridge to byte streams,
this would seem feasible to support #setOut and #setErr.
msg4322 (view) Author: Jim Baker (zyasoft) Date: 2009-03-21.21:24:05
Fixed by r6103. Sergei, please test to verify this works for you.
msg4324 (view) Author: Sergei (sergei175) Date: 2009-03-21.23:00:42
Thanks, I've checked, the  dev version looks fine now.

cheers,
msg4325 (view) Author: Jim Baker (zyasoft) Date: 2009-03-22.01:56:38
Closing due to user verification and new unit test.
History
Date User Action Args
2009-03-22 01:56:39zyasoftsetstatus: pending -> closed
messages: + msg4325
2009-03-21 23:00:42sergei175setmessages: + msg4324
2009-03-21 21:24:06zyasoftsetstatus: open -> pending
resolution: fixed
messages: + msg4322
2009-03-12 05:54:53zyasoftsetpriority: high
assignee: zyasoft
messages: + msg4221
2009-03-08 16:12:43sergei175setmessages: + msg4202
2009-03-08 07:08:09zyasoftsetnosy: + pjenvey, zyasoft
messages: + msg4195
2009-02-23 01:56:58sergei175create